Name:          geolatte-geom
Version:       1.2.0
Release:       3%{?dist}
Summary:       A geometry model for Java that conforms to the Simple Features For SQL
License:       LGPLv3+
URL:           http://www.geolatte.org/
Source0:       https://github.com/GeoLatte/geolatte-geom/archive/v%{version}.tar.gz

BuildRequires:  maven-local
BuildRequires:  mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires:  mvn(commons-collections:commons-collections)
BuildRequires:  mvn(com.vividsolutions:jts)
BuildRequires:  mvn(dom4j:dom4j)
BuildRequires:  mvn(jaxen:jaxen)
BuildRequires:  mvn(junit:junit)
BuildRequires:  mvn(log4j:log4j:1.2.17)
BuildRequires:  mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires:  mvn(org.slf4j:slf4j-api)
BuildRequires:  mvn(org.slf4j:slf4j-log4j12)

BuildArch:     noarch

%description
A geometry model for Java that conforms to the Simple Features For
SQL specification. It is intended as a drop-in replacement for the
Java Topology Suite (JTS) geometry model. GeoLatte-geom is fully
inter-operable with JTS but offers additional features.

%package javadoc
Summary: Javadoc for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}

# Unneeded plugins for RPM builds
%pom_remove_plugin :nexus-staging-maven-plugin
%pom_remove_plugin :maven-source-plugin
%pom_remove_plugin :maven-javadoc-plugin

# Use compat version of log4j
%pom_xpath_set "pom:dependency[pom:groupId='log4j']/pom:version" 1.2.17 geom

# Fix dependencies to reflect what's in Fedora
%pom_change_dep :jackson-mapper-lgpl org.codehaus.jackson:jackson-mapper-asl geom
%pom_change_dep :org.apache.commons.collections commons-collections:commons-collections geom

# Allow building against new jts
sed -i -e 's/com\.vividsolutions\.jts/org.locationtech.jts/g' $(find geom -name "*.java")
sed -i -e '/clone()/a@Override public CoordinateSequence copy() {return (CoordinateSequence)clone();}' \
  geom/src/main/java/org/geolatte/geom/AbstractPositionSequence.java

%build
# Ignore a couple of test failures, not sure why it happens
%mvn_build -- -Dmaven.test.failure.ignore=true

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license copyright-template.vml

%files javadoc -f .mfiles-javadoc
%license copyright-template.vml

%changelog
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Apr 19 2018 Mat Booth <mat.booth@redhat.com> - 1.2.0-1
- Update to latest upstream release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jan 30 2016 gil cattaneo <puntogil@libero.it> - 0.14-3
- rebuilt

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Apr 19 2015 gil cattaneo <puntogil@libero.it> 0.14-1
- initial rpm
